% load('mobilenet_train_f.mat')    
% a=featuresTrain;
% load('mobilenet_test_f.mat')
% b=featuresTest;
% X=[a;b]

load('inceptionv3_train_f.mat')    
c=featuresTrain;
load('inceptionv3_test_f.mat')
d=featuresTest;
Y=[c;d]

% A=[X,Y] %2 mimari etiketsiz birleşti
% % % % % % 
load('mobilenetv2_train_f.mat')              %son mimariyi etiketli hazırla
e=featuresTrain;
load('mobilenetv2_train_e.mat')
f=double(YTrain)
K=[e,f]

load('mobilenetv2_test_f.mat')
z=featuresTest;
load('mobilenetv2_test_e.mat')
y=double(YTest)
L=[z,y]

H=[K;L]
% % % % % % % 
sonuc1=[Y,H]
%3. mimariyi etiketli birleştir. sonra 1,2 ile birleştir
X = sonuc1(:, 1:end-1);
y = sonuc1(:, end);

 X = (X - min(X)) ./ (max(X) - min(X) + eps);
% NCA
mdl = fscnca(X, y, 'Solver', 'sgd', 'Verbose', 1);
[B_NCA, I_NCA] = sort(mdl.FeatureWeights, 'desc');
%N = length(find(B_NCA > 0.0005 * max(1, max(B_NCA))));
N=750;
son = [X(:, I_NCA(1:N)), y];
classificationLearner